import {BasicColumn} from '/src/components/Table';
import {FormSchema} from '/src/components/Table';
import {rules} from '/src/utils/helper/validator';
import {render} from '/src/utils/common/renderUtils';
import {getWeekMonthQuarterYear} from '/src/utils';
//列表数据
export const columns: BasicColumn[] = [
  {
    title: '用户名',
    align: "left",
    dataIndex: 'uid_dictText'
  },
  {
    title: '站点code',
    align: "center",
    dataIndex: 'code'
  },
  {
    title: '站点名称',
    align: "center",
    dataIndex: 'name'
  },
  {
    title: '站点域名',
    align: "center",
    dataIndex: 'domain'
  },
  {
    title: '当前状态',
    align: "center",
    dataIndex: 'status'
  },
  {
    title: '到期时间',
    align: "center",
    dataIndex: 'etime'
  },
];

// 高级查询数据
export const superQuerySchema = {
  uid: {title: '用户ID,与用户表关联', order: 0, view: 'sel_user', type: 'string',},
  code: {
    title: '站点code,生成6位长度随机码，取值范围[a-z0-9],保证系统唯一',
    order: 1,
    view: 'text',
    type: 'string',
  },
  name: {title: '站点名称', order: 2, view: 'text', type: 'string',},
  domain: {title: '站点域名', order: 3, view: 'text', type: 'string',},
  status: {
    title: '当前状态：0：已删除；1：正常；2:未发布  3:拉取测试站点中 ；4：发布正式站点中 ;5:拉取异常',
    order: 4,
    view: 'number',
    type: 'number',
  },
  etime: {title: '到期时间，默认为ctime+1年', order: 5, view: 'datetime', type: 'string',},
};
